Subject: Re: [PATCH v3 01/10] xdiff: delete static forward declarations in xprepare

From: Junio C Hamano <[email-masked]>
Date: Sat, 20 Sep 2025 15:52:41 -0700

Jeff King <[email-masked]> writes:

> I don't think I've ever used a trailer like that, but I do sometimes
> mention it in prose. I'll sometimes put it in comments below the "---"
> line, though.

Yeah, I am on the fence between in prose and below the three-dash
line, as unlike other comments that often help only those during
review (e.g., what is different relative to the previous round),
this hint is helpful to those who read "git log -p".

> PS I sometimes find:
>
>      git log --format='%(trailers:only,keyonly)' |
>      sort | uniq -c | sort -rn
>
>    amusing to look through for this sort of thing.

The top entries are as expecte (this is with --since=5.years)

  24336 Signed-off-by
  17501 
    740 Helped-by
    703 Reviewed-by
    495 Acked-by
    485 Reported-by
    420 Mentored-by
    186 Co-authored-by
    164 Suggested-by

but I have to wonder what the empty one is.